package p08_importowanie;

import java.util.Scanner;

import static p07_funkcje.FunkcjeGeometryczne.*;
import static p07_funkcje.JednostkiMiary.*;
import static java.lang.Math.*;

/* import static pakiet.Klasa.* importuje wszystkie rzeczy statyczne z podanej klasy.
 * 
 * Nie da się użyć gwiazdek na poziomie pakietu i klasy w jednym imporcie.
 * To nie przejdzie:
 * import static p07_funkcje.*.*;
 */

public class Importowanie5 {
	public static void main(String[] args) {
		@SuppressWarnings("resource")
		Scanner scanner = new Scanner(System.in);
		
		petla:
		while(true) {
			System.out.println("\nWybierz figurę:");
			System.out.println("  K  - kwadrat");
			System.out.println("  O  - koło");
			System.out.println("  P  - prostokąt");
			System.out.println("  KM - przelicz kilometry na mile");
			System.out.println("  MK - przelicz mile na kilometry");
			System.out.println("  CF - przelicz °C na °F");
			System.out.println("  FC - przelicz °F na °C");
			System.out.println("  Q  - zakończ");
			String wybor = scanner.next().toUpperCase();
			switch(wybor) {
				case "Q" -> {
					// muszę użyć "etykiety", aby powiedzieć Javie, że przerywam pętlę while, a nie samego switcha
					break petla;
				}
				case "K" -> {
					System.out.print("Podaj długość boku kwadratu: ");
					double a = scanner.nextDouble();
					double pole = poleKwadratu(a);
					double obwod = obwodKwadratu(a);
					System.out.printf("Dla kwadratu o boku %.3f pole wynosi %.3f, a obwód %.3f\n", a, pole, obwod);
				}
				case "P" -> {
					System.out.print("Podaj długość pierwszego boku prostokąta: ");
					double a = scanner.nextDouble();
					System.out.print("Podaj długość drugiego boku prostokąta: ");
					double b = scanner.nextDouble();
					double pole = poleProstokata(a, b);
					double obwod = obwodProstokata(a, b);
					System.out.printf("Dla prostokąta o bokach %.3f i %.3f pole wynosi %.3f, a obwód %.3f\n", a, b, pole, obwod);
				}
				case "O" -> {
					System.out.print("Podaj promień koła: ");
					double r = scanner.nextDouble();
					double pole = poleKola(r);
					double obwod = obwodKola(r);
					System.out.printf("Dla koła o promieniu %.3f pole wynosi %.3f, a obwód %.3f\n", r, pole, obwod);
				}
				case "KM" -> {
					System.out.print("Podaj odległość w kilometrach: ");
					double km = scanner.nextDouble();
					double wynik = km_na_mile(km);
					System.out.printf("%.3f km = %.3f mil\n", km, wynik);
				}
				case "MK" -> {
					System.out.print("Podaj odległość w milach: ");
					double mile = scanner.nextDouble();
					double wynik = mile_na_km(mile);
					System.out.printf("%.3f mil = %.3f km\n", mile, wynik);
				}
				case "FC" -> {
					System.out.print("Podaj temperaturę w Fahrenheitach: ");
					double f = scanner.nextDouble();
					double wynik = far_na_cel(f);
					System.out.printf("%.3f °F = %.3f °C\n", f, wynik);
				}
				case "CF" -> {
					System.out.print("Podaj temperaturę w Celsjuszach: ");
					double c = scanner.nextDouble();
					double wynik = cel_na_far(c);
					System.out.printf("%.3f °C = %.3f °F\n", c, wynik);
				}			
				default -> {
					System.out.println("Nieznane polecenie " + wybor);
				}			
			}
		}
		System.out.println("A liczba pi jest równa około " + PI);
	}
}
